"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "xmlto.in" between
xmlto-0.0.27.tar.gz and xmlto-0.0.28.tar.gz

About: xmlto converts an XML file (DocBook or XSL-FO) into a specified format (PS, PDF, HTML, man, ASCII, XSL-FO, etc.) by applying an appropriate XSL-T stylesheet and then performing whatever post-processing is necessary.

xmlto.in  (xmlto-0.0.27):xmlto.in  (xmlto-0.0.28)
skipping to change at line 87 skipping to change at line 87
# Wrapper for 'varname=$(mktemp /tmp/xmlto-$filenametag.XXXXXX)'. # Wrapper for 'varname=$(mktemp /tmp/xmlto-$filenametag.XXXXXX)'.
# * Remembers the temporary file's name so it can be deleted on exit # * Remembers the temporary file's name so it can be deleted on exit
# * If the failure message is empty or missing, exits on failure # * If the failure message is empty or missing, exits on failure
make_temp () { make_temp () {
local dirflag="" prefix="@PACKAGE@" local dirflag="" prefix="@PACKAGE@"
[ "$1" = "-d" ] && { dirflag="-d"; shift; } [ "$1" = "-d" ] && { dirflag="-d"; shift; }
[ -n "$1" ] && prefix="@PACKAGE@-$1" [ -n "$1" ] && prefix="@PACKAGE@-$1"
if eval $2='$(${MKTEMP} $dirflag "${TMPDIR:-/tmp}/${prefix}.XXXXXX")' if eval $2='$(${MKTEMP} $dirflag "${TMPDIR:-/tmp}/${prefix}.XXXXXX")'
then then
CLEANFILES="$CLEANFILES $2" CLEANFILES="$CLEANFILES ${!2}"
return 0 return 0
elif [ -z "$3" ] elif [ -z "$3" ]
then then
echo >&2 "mktemp failed!" echo >&2 "mktemp failed!"
exit 2 exit 2
else else
echo >&2 "mktemp failed. $3" echo >&2 "mktemp failed. $3"
return 2 return 2
fi fi
} }
skipping to change at line 138 skipping to change at line 138
then then
FORMAT_DIR="${PWD}/${FORMAT_DIR}" FORMAT_DIR="${PWD}/${FORMAT_DIR}"
fi fi
OUTPUT_DIR="$WD" OUTPUT_DIR="$WD"
# This is an array of XSL fragments specified by the user. # This is an array of XSL fragments specified by the user.
XSL_MODS= XSL_MODS=
# List of files to remove after exit # List of files to remove after exit
CLEANFILES= CLEANFILES=
trap -- 'cd /; [ -z "$CLEANFILES" ] || rm -rf "$CLEANFILES"' EXIT trap -- 'cd /; [ -z "$CLEANFILES" ] || rm -rf $CLEANFILES' EXIT
XSLTOPTS= XSLTOPTS=
SEARCHPATH= SEARCHPATH=
PAPERCONF_PATH=@PAPER_CONF@ PAPERCONF_PATH=@PAPER_CONF@
LOCALE_PATH=@LOCALE@ LOCALE_PATH=@LOCALE@
XMLLINT_PATH=@XMLLINT@ XMLLINT_PATH=@XMLLINT@
XSLTPROC_PATH=@XSLTPROC@ XSLTPROC_PATH=@XSLTPROC@
# Try to setup papersize using libpaper first ... # Try to setup papersize using libpaper first ...
if type "$PAPERCONF_PATH" >/dev/null 2>&1 if type "$PAPERCONF_PATH" >/dev/null 2>&1
 End of changes. 2 change blocks. 
2 lines changed or deleted 2 lines changed or added

Home  |  About  |  All  |  Newest  |  Fossies Dox  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTPS